                         /* printnum.h, 29 Mar 13 */

extern BOOL do_print_all,
            do_print_no_match,
            do_summary_match,
            do_summary_no_match;
extern char *cur_pathname,
            *format_filename,
            *format_pathname,
            *format_linenum;

extern void print_location(void);
extern void print_number(DIGIT_CHAR mantissa[MAX_NUM_DIGITS],
			 int num_digits,
			 DIGIT_CHAR exponent[MAX_NUM_DIGITS]);
extern void print_match(enum match_enum match_kind,
			struct num_db_rec *num_ptr,
			fp_t seen_val,
			DIGIT_CHAR *match_num,
			int signif_dig,
			DIGIT_CHAR *exponent);
extern void print_partial_need_match(struct need_num_rec *need_num_ptr,
				     int total_match_needs,
				     int totals_needs);
extern void print_suspect_need_match(struct need_num_rec *need_num_ptr,
				     int total_match_needs,
				     int totals_needs);
extern void print_summary(void);

